<IfModule mod_filter.c>
<IfModule mod_deflate.c>

# List of registered mime types is available at:
# https://www.iana.org/assignments/media-types/media-types.xhtml
# Are included here all text format and other that include XML or
# JSON as output format.

AddOutputFilterByType DEFLATE application/3gpdash-qoe-report+xml
AddOutputFilterByType DEFLATE application/3gpphal+json
AddOutputFilterByType DEFLATE application/3gpphalforms+json
AddOutputFilterByType DEFLATE application/3gpp-ims+xml
AddOutputFilterByType DEFLATE application/activity+json
AddOutputFilterByType DEFLATE application/alto-costmap+json
AddOutputFilterByType DEFLATE application/alto-costmapfilter+json
AddOutputFilterByType DEFLATE application/alto-directory+json
AddOutputFilterByType DEFLATE application/alto-endpointprop+json
AddOutputFilterByType DEFLATE application/alto-endpointpropparams+json
AddOutputFilterByType DEFLATE application/alto-endpointcost+json
AddOutputFilterByType DEFLATE application/alto-endpointcostparams+json
AddOutputFilterByType DEFLATE application/alto-error+json
AddOutputFilterByType DEFLATE application/alto-networkmapfilter+json
AddOutputFilterByType DEFLATE application/alto-networkmap+json
AddOutputFilterByType DEFLATE application/alto-updatestreamcontrol+json
AddOutputFilterByType DEFLATE application/alto-updatestreamparams+json
AddOutputFilterByType DEFLATE application/atom+xml
AddOutputFilterByType DEFLATE application/atomcat+xml
AddOutputFilterByType DEFLATE application/atomdeleted+xml
AddOutputFilterByType DEFLATE application/atomsvc+xml
AddOutputFilterByType DEFLATE application/atsc-dwd+xml
AddOutputFilterByType DEFLATE application/atsc-held+xml
AddOutputFilterByType DEFLATE application/atsc-rdt+json
AddOutputFilterByType DEFLATE application/atsc-rsat+xml
AddOutputFilterByType DEFLATE application/auth-policy+xml
AddOutputFilterByType DEFLATE application/beep+xml
AddOutputFilterByType DEFLATE application/calendar+json
AddOutputFilterByType DEFLATE application/calendar+xml
AddOutputFilterByType DEFLATE application/captive+json
AddOutputFilterByType DEFLATE application/ccmp+xml
AddOutputFilterByType DEFLATE application/ccxml+xml
AddOutputFilterByType DEFLATE application/cea-2018+xml
AddOutputFilterByType DEFLATE application/cellml+xml
AddOutputFilterByType DEFLATE application/city+json
AddOutputFilterByType DEFLATE application/clue_info+xml
AddOutputFilterByType DEFLATE application/clue+xml
AddOutputFilterByType DEFLATE application/cnrp+xml
AddOutputFilterByType DEFLATE application/coap-group+json
AddOutputFilterByType DEFLATE application/conference-info+xml
AddOutputFilterByType DEFLATE application/cpl+xml
AddOutputFilterByType DEFLATE application/csta+xml
AddOutputFilterByType DEFLATE application/cstadata+xml
AddOutputFilterByType DEFLATE application/csvm+json
AddOutputFilterByType DEFLATE application/dash+xml
AddOutputFilterByType DEFLATE application/dash-patch+xml
AddOutputFilterByType DEFLATE application/davmount+xml
AddOutputFilterByType DEFLATE application/dialog-info+xml
AddOutputFilterByType DEFLATE application/dicom+json
AddOutputFilterByType DEFLATE application/dicom+xml
AddOutputFilterByType DEFLATE application/dns+json
AddOutputFilterByType DEFLATE application/dskpp+xml
AddOutputFilterByType DEFLATE application/dssc+xml
AddOutputFilterByType DEFLATE application/elm+json
AddOutputFilterByType DEFLATE application/elm+xml
AddOutputFilterByType DEFLATE application/emergencycalldata.cap+xml
AddOutputFilterByType DEFLATE application/emergencycalldata.comment+xml
AddOutputFilterByType DEFLATE application/emergencycalldata.control+xml
AddOutputFilterByType DEFLATE application/emergencycalldata.deviceInfo+xml
AddOutputFilterByType DEFLATE application/emergencycalldata.providerInfo+xml
AddOutputFilterByType DEFLATE application/emergencycalldata.serviceInfo+xml
AddOutputFilterByType DEFLATE application/emergencycalldata.subscriberInfo+xml
AddOutputFilterByType DEFLATE application/emergencycalldata.veds+xml
AddOutputFilterByType DEFLATE application/emma+xml
AddOutputFilterByType DEFLATE application/emotionml+xml
AddOutputFilterByType DEFLATE application/epp+xml
AddOutputFilterByType DEFLATE application/expect-ct-report+json
AddOutputFilterByType DEFLATE application/fdt+xml
AddOutputFilterByType DEFLATE application/fhir+json
AddOutputFilterByType DEFLATE application/fhir+xml
AddOutputFilterByType DEFLATE application/framework-attributes+xml
AddOutputFilterByType DEFLATE application/geo+json
AddOutputFilterByType DEFLATE application/geo+json-seq
AddOutputFilterByType DEFLATE application/geoxacml+xml
AddOutputFilterByType DEFLATE application/gml+xml
AddOutputFilterByType DEFLATE application/held+xml
AddOutputFilterByType DEFLATE application/ibe-key-request+xml
AddOutputFilterByType DEFLATE application/ibe-pkg-reply+xml
AddOutputFilterByType DEFLATE application/im-iscomposing+xml
AddOutputFilterByType DEFLATE application/inkml+xml
AddOutputFilterByType DEFLATE application/its+xml
AddOutputFilterByType DEFLATE application/jf2feed+json
AddOutputFilterByType DEFLATE application/jose+json
AddOutputFilterByType DEFLATE application/jrd+json
AddOutputFilterByType DEFLATE application/jscalendar+json
AddOutputFilterByType DEFLATE application/json
AddOutputFilterByType DEFLATE application/json-patch+json
AddOutputFilterByType DEFLATE application/json-seq
AddOutputFilterByType DEFLATE application/jwk+json
AddOutputFilterByType DEFLATE application/jwk-set+json
AddOutputFilterByType DEFLATE application/kpml-request+xml
AddOutputFilterByType DEFLATE application/kpml-response+xml
AddOutputFilterByType DEFLATE application/ld+json
AddOutputFilterByType DEFLATE application/lgr+xml
AddOutputFilterByType DEFLATE application/load-control+xml
AddOutputFilterByType DEFLATE application/lost+xml
AddOutputFilterByType DEFLATE application/lostsync+xml
AddOutputFilterByType DEFLATE application/mads+xml
AddOutputFilterByType DEFLATE application/manifest+json
AddOutputFilterByType DEFLATE application/marcxml+xml
AddOutputFilterByType DEFLATE application/mathml+xml
AddOutputFilterByType DEFLATE application/mathml-content+xml
AddOutputFilterByType DEFLATE application/mathml-presentation+xml
AddOutputFilterByType DEFLATE application/mbms-associated-procedure-description+xml
AddOutputFilterByType DEFLATE application/mbms-deregister+xml
AddOutputFilterByType DEFLATE application/mbms-envelope+xml
AddOutputFilterByType DEFLATE application/mbms-msk-response+xml
AddOutputFilterByType DEFLATE application/mbms-msk+xml
AddOutputFilterByType DEFLATE application/mbms-protection-description+xml
AddOutputFilterByType DEFLATE application/mbms-reception-report+xml
AddOutputFilterByType DEFLATE application/mbms-register-response+xml
AddOutputFilterByType DEFLATE application/mbms-register+xml
AddOutputFilterByType DEFLATE application/mbms-schedule+xml
AddOutputFilterByType DEFLATE application/mbms-user-service-description+xml
AddOutputFilterByType DEFLATE application/media_control+xml
AddOutputFilterByType DEFLATE application/media-policy-dataset+xml
AddOutputFilterByType DEFLATE application/mediaservercontrol+xml
AddOutputFilterByType DEFLATE application/merge-patch+json
AddOutputFilterByType DEFLATE application/metalink4+xml
AddOutputFilterByType DEFLATE application/mets+xml
AddOutputFilterByType DEFLATE application/mmt-aei+xml
AddOutputFilterByType DEFLATE application/mmt-usd+xml
AddOutputFilterByType DEFLATE application/mods+xml
AddOutputFilterByType DEFLATE application/mrb-consumer+xml
AddOutputFilterByType DEFLATE application/mrb-publish+xml
AddOutputFilterByType DEFLATE application/msc-ivr+xml
AddOutputFilterByType DEFLATE application/msc-mixer+xml
AddOutputFilterByType DEFLATE application/mud+json
AddOutputFilterByType DEFLATE application/nlsml+xml
AddOutputFilterByType DEFLATE application/odm+xml
AddOutputFilterByType DEFLATE application/oebps-package+xml
AddOutputFilterByType DEFLATE application/opc-nodeset+xml
AddOutputFilterByType DEFLATE application/p2p-overlay+xml
AddOutputFilterByType DEFLATE application/patch-ops-error+xml
AddOutputFilterByType DEFLATE application/pidf-diff+xml
AddOutputFilterByType DEFLATE application/pidf+xml
AddOutputFilterByType DEFLATE application/pls+xml
AddOutputFilterByType DEFLATE application/poc-settings+xml
AddOutputFilterByType DEFLATE application/ppsp-tracker+json
AddOutputFilterByType DEFLATE application/problem+json
AddOutputFilterByType DEFLATE application/problem+xml
AddOutputFilterByType DEFLATE application/provenance+xml
AddOutputFilterByType DEFLATE application/prs.xsf+xml
AddOutputFilterByType DEFLATE application/pskc+xml
AddOutputFilterByType DEFLATE application/pvd+json
AddOutputFilterByType DEFLATE application/rdf+xml
AddOutputFilterByType DEFLATE application/route-apd+xml
AddOutputFilterByType DEFLATE application/route-s-tsid+xml
AddOutputFilterByType DEFLATE application/route-usd+xml
AddOutputFilterByType DEFLATE application/rdap+json
AddOutputFilterByType DEFLATE application/reginfo+xml
AddOutputFilterByType DEFLATE application/reputon+json
AddOutputFilterByType DEFLATE application/resource-lists-diff+xml
AddOutputFilterByType DEFLATE application/resource-lists+xml
AddOutputFilterByType DEFLATE application/rfc+xml
AddOutputFilterByType DEFLATE application/rlmi+xml
AddOutputFilterByType DEFLATE application/rls-services+xml
AddOutputFilterByType DEFLATE application/samlassertion+xml
AddOutputFilterByType DEFLATE application/samlmetadata+xml
AddOutputFilterByType DEFLATE application/sarif-external-properties+json
AddOutputFilterByType DEFLATE application/sarif+json
AddOutputFilterByType DEFLATE application/sbml+xml
AddOutputFilterByType DEFLATE application/scaip+xml
AddOutputFilterByType DEFLATE application/scim+json
AddOutputFilterByType DEFLATE application/senml-etch+json
AddOutputFilterByType DEFLATE application/senml+json
AddOutputFilterByType DEFLATE application/senml+xml
AddOutputFilterByType DEFLATE application/sensml+json
AddOutputFilterByType DEFLATE application/sensml+xml
AddOutputFilterByType DEFLATE application/sep+xml
AddOutputFilterByType DEFLATE application/shf+xml
AddOutputFilterByType DEFLATE application/simple-filter+xml
AddOutputFilterByType DEFLATE application/smil+xml
AddOutputFilterByType DEFLATE application/soap+xml
AddOutputFilterByType DEFLATE application/spdx+json
AddOutputFilterByType DEFLATE application/sparql-results+xml
AddOutputFilterByType DEFLATE application/spirits-event+xml
AddOutputFilterByType DEFLATE application/srgs+xml
AddOutputFilterByType DEFLATE application/sru+xml
AddOutputFilterByType DEFLATE application/ssml+xml
AddOutputFilterByType DEFLATE application/stix+json
AddOutputFilterByType DEFLATE application/swid+xml
AddOutputFilterByType DEFLATE application/taxii+json
AddOutputFilterByType DEFLATE application/td+json
AddOutputFilterByType DEFLATE application/tei+xml
AddOutputFilterByType DEFLATE application/thraud+xml
AddOutputFilterByType DEFLATE application/tlsrpt+json
AddOutputFilterByType DEFLATE application/ttml+xml
AddOutputFilterByType DEFLATE application/urc-grpsheet+xml
AddOutputFilterByType DEFLATE application/urc-ressheet+xml
AddOutputFilterByType DEFLATE application/urc-targetdesc+xml
AddOutputFilterByType DEFLATE application/urc-uisocketdesc+xml
AddOutputFilterByType DEFLATE application/vcard+json
AddOutputFilterByType DEFLATE application/vcard+xml
AddOutputFilterByType DEFLATE application/voicexml+xml
AddOutputFilterByType DEFLATE application/voucher-cms+json
AddOutputFilterByType DEFLATE application/watcherinfo+xml
AddOutputFilterByType DEFLATE application/webpush-options+json
AddOutputFilterByType DEFLATE application/wsdl+xml
AddOutputFilterByType DEFLATE application/wspolicy+xml
AddOutputFilterByType DEFLATE application/xacml+xml
AddOutputFilterByType DEFLATE application/xcap-att+xml
AddOutputFilterByType DEFLATE application/xcap-caps+xml
AddOutputFilterByType DEFLATE application/xcap-diff+xml
AddOutputFilterByType DEFLATE application/xcap-el+xml
AddOutputFilterByType DEFLATE application/xcap-error+xml
AddOutputFilterByType DEFLATE application/xcap-ns+xml
AddOutputFilterByType DEFLATE application/xcon-conference-info-diff+xml
AddOutputFilterByType DEFLATE application/xcon-conference-info+xml
AddOutputFilterByType DEFLATE application/xenc+xml
AddOutputFilterByType DEFLATE application/xhtml+xml
AddOutputFilterByType DEFLATE application/xliff+xml
AddOutputFilterByType DEFLATE application/xml
AddOutputFilterByType DEFLATE application/xml-dtd
AddOutputFilterByType DEFLATE application/xml-external-parsed-entity
AddOutputFilterByType DEFLATE application/xml-patch+xml
AddOutputFilterByType DEFLATE application/xmpp+xml
AddOutputFilterByType DEFLATE application/xop+xml
AddOutputFilterByType DEFLATE application/xslt+xml
AddOutputFilterByType DEFLATE application/xv+xml
AddOutputFilterByType DEFLATE application/yang-data+json
AddOutputFilterByType DEFLATE application/yang-data+xml
AddOutputFilterByType DEFLATE application/yang-patch+json
AddOutputFilterByType DEFLATE application/yang-patch+xml
AddOutputFilterByType DEFLATE application/yin+xml

AddOutputFilterByType DEFLATE image/svg+xml

AddOutputFilterByType DEFLATE message/imdn+xml

AddOutputFilterByType DEFLATE model/gltf+json
AddOutputFilterByType DEFLATE model/step+xml
AddOutputFilterByType DEFLATE model/x3d+xml

AddOutputFilterByType DEFLATE text/1d-interleaved-parityfec
AddOutputFilterByType DEFLATE text/cache-manifest
AddOutputFilterByType DEFLATE text/calendar
AddOutputFilterByType DEFLATE text/cql
AddOutputFilterByType DEFLATE text/cql-expression
AddOutputFilterByType DEFLATE text/cql-identifier
AddOutputFilterByType DEFLATE text/css
AddOutputFilterByType DEFLATE text/csv
AddOutputFilterByType DEFLATE text/csv-schema
AddOutputFilterByType DEFLATE text/directory
AddOutputFilterByType DEFLATE text/dns
AddOutputFilterByType DEFLATE text/ecmascript
AddOutputFilterByType DEFLATE text/encaprtp
AddOutputFilterByType DEFLATE text/enriched
AddOutputFilterByType DEFLATE text/example
AddOutputFilterByType DEFLATE text/fhirpath
AddOutputFilterByType DEFLATE text/flexfec
AddOutputFilterByType DEFLATE text/fwdred
AddOutputFilterByType DEFLATE text/gff3
AddOutputFilterByType DEFLATE text/grammar-ref-list
AddOutputFilterByType DEFLATE text/html
AddOutputFilterByType DEFLATE text/javascript
AddOutputFilterByType DEFLATE text/jcr-cnd
AddOutputFilterByType DEFLATE text/markdown
AddOutputFilterByType DEFLATE text/mizar
AddOutputFilterByType DEFLATE text/n3
AddOutputFilterByType DEFLATE text/parameters
AddOutputFilterByType DEFLATE text/parityfec
AddOutputFilterByType DEFLATE text/plain
AddOutputFilterByType DEFLATE text/provenance-notation
AddOutputFilterByType DEFLATE text/prs.fallenstein.rst
AddOutputFilterByType DEFLATE text/prs.lines.tag
AddOutputFilterByType DEFLATE text/prs.prop.logic
AddOutputFilterByType DEFLATE text/raptorfec
AddOutputFilterByType DEFLATE text/red
AddOutputFilterByType DEFLATE text/rfc822-headers
AddOutputFilterByType DEFLATE text/richtext
AddOutputFilterByType DEFLATE text/rtf
AddOutputFilterByType DEFLATE text/rtp-enc-aescm128
AddOutputFilterByType DEFLATE text/rtploopback
AddOutputFilterByType DEFLATE text/rtx
AddOutputFilterByType DEFLATE text/sgml
AddOutputFilterByType DEFLATE text/shaclc
AddOutputFilterByType DEFLATE text/shex
AddOutputFilterByType DEFLATE text/spdx
AddOutputFilterByType DEFLATE text/strings
AddOutputFilterByType DEFLATE text/t140
AddOutputFilterByType DEFLATE text/tab-separated-values
AddOutputFilterByType DEFLATE text/troff
AddOutputFilterByType DEFLATE text/turtle
AddOutputFilterByType DEFLATE text/ulpfec
AddOutputFilterByType DEFLATE text/uri-list
AddOutputFilterByType DEFLATE text/vcard
AddOutputFilterByType DEFLATE text/vtt
AddOutputFilterByType DEFLATE text/xml
AddOutputFilterByType DEFLATE text/xml-external-parsed-entity

# Extra types (not in text section and not containing JSON or XML)
AddOutputFilterByType DEFLATE application/javascript
AddOutputFilterByType DEFLATE application/ecmascript

# Non IANA registered mime types but still usual
AddOutputFilterByType DEFLATE application/atom_xml
AddOutputFilterByType DEFLATE application/docbook+xml
AddOutputFilterByType DEFLATE application/gpx+xml
AddOutputFilterByType DEFLATE application/jsonml+json
AddOutputFilterByType DEFLATE application/metalink+xml
AddOutputFilterByType DEFLATE application/omdoc+xml
AddOutputFilterByType DEFLATE application/resource-lists+xml
AddOutputFilterByType DEFLATE application/rsd+xml
AddOutputFilterByType DEFLATE application/rss+xml
AddOutputFilterByType DEFLATE application/ssdl+xml
AddOutputFilterByType DEFLATE application/x-ecmascript
AddOutputFilterByType DEFLATE application/x-dtbncx+xml
AddOutputFilterByType DEFLATE application/x-dtbook+xml
AddOutputFilterByType DEFLATE application/x-dtbresource+xml
AddOutputFilterByType DEFLATE application/x-gramps-xml
AddOutputFilterByType DEFLATE application/x-httpd-php
AddOutputFilterByType DEFLATE application/x-javascript
AddOutputFilterByType DEFLATE application/x-xliff+xml
AddOutputFilterByType DEFLATE application/xaml+xml
AddOutputFilterByType DEFLATE application/xproc+xml
AddOutputFilterByType DEFLATE application/xspf+xml

AddOutputFilterByType DEFLATE text/x-asm
AddOutputFilterByType DEFLATE text/x-c
AddOutputFilterByType DEFLATE text/x-fortran
AddOutputFilterByType DEFLATE text/x-java-source
AddOutputFilterByType DEFLATE text/x-nfo
AddOutputFilterByType DEFLATE text/x-opml
AddOutputFilterByType DEFLATE text/x-pascal
AddOutputFilterByType DEFLATE text/x-setext
AddOutputFilterByType DEFLATE text/x-sfv
AddOutputFilterByType DEFLATE text/x-uuencode
AddOutputFilterByType DEFLATE text/x-vcalendar
AddOutputFilterByType DEFLATE text/x-vcard
AddOutputFilterByType DEFLATE text/xsd
AddOutputFilterByType DEFLATE text/xsl

</IfModule>
</IfModule>
